import request from '@/utils/request'

// 查询设备配置信息列表
export function listProfile(query) {
    return request({
        url: '/device/profile/list',
        method: 'get',
        params: query
    })
}

// 查询设备配置信息详细
export function getProfile(query) {
    return request({
        url: '/device/profile/parameterInfo/',
        method: 'get',
        params: query
    })
}

// 新增设备配置信息
export function addProfile(data) {
    return request({
        url: '/device/profile',
        method: 'post',
        data: data
    })
}

// 修改设备配置信息
export function updateProfile(data) {
    return request({
        url: '/device/profile',
        method: 'put',
        data: data
    })
}

// 删除设备配置信息
export function delProfile(id) {
    return request({
        url: '/device/profile/' + id,
        method: 'delete'
    })
}
